Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Aug 2010 22:17:22 +0200

> Transient-mark mode must know when the selection is non-empty.

It doesn't have to know that at all times.  Only when an operation is
performed on the region, at which time it's trivial to compare (point)
and (mark) to figure out if it's empty.

        Stefan